ChargebeeAPI
Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now

List gifts

Try in API Explorer

Retrieves the list of gifts.

Sample Request

URL Format

GET https://[site].chargebee.com/api/v2/gifts

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
status[<operator>]

optional, enumerated string filter

Status of the gift. Possible values are : scheduled, unclaimed, claimed, cancelled, expired.

Supported operators : is, is_not, in, not_in

Example → status[is] = "claimed"

Supported operators: is, is_not, in, not_in
Example claimed
gift_receiver

Parameters for gift_receiver

pass parameters as gift_receiver[<param name>][<operator>]
gifter

Parameters for gifter

pass parameters as gifter[<param name>][<operator>]

Returns

next_offsetoptional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

giftGift object
Resource object representing gift
subscriptionSubscription object
Resource object representing subscription